Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.api
Interface FileService

All Known Implementing Classes:
  VFSFileServiceImpl

    public interface FileService

Method Summary
`void` | `copy(org.kie.commons.java.nio.file.Path source, org.kie.commons.java.nio.file.Path dest)`
`org.kie.commons.java.nio.file.Path` | `createDirectory(org.kie.commons.java.nio.file.Path path)`
`org.kie.commons.java.nio.file.Path` | `createFile(org.kie.commons.java.nio.file.Path path)`
`boolean` | `deleteIfExists(org.kie.commons.java.nio.file.Path path)`
`boolean` | `exists(org.kie.commons.java.nio.file.Path file)`
`void` | `fetchChanges()`
`org.kie.commons.java.nio.file.Path` | `getPath(String path)`
`void` | `init()`
`Iterable<org.kie.commons.java.nio.file.Path>` | `listDirectories(org.kie.commons.java.nio.file.Path path)`
`byte[]` | `loadFile(org.kie.commons.java.nio.file.Path file)`
`Iterable<org.kie.commons.java.nio.file.Path>` | `loadFilesByType(org.kie.commons.java.nio.file.Path path, String fileType)`
`void` | `move(org.kie.commons.java.nio.file.Path source, org.kie.commons.java.nio.file.Path dest)`
`OutputStream` | `openFile(org.kie.commons.java.nio.file.Path path)`

Method Detail

### init

    void init()
              throws FileException

  Throws:
    `FileException`

### fetchChanges

    void fetchChanges()

### loadFile

    byte[] loadFile(org.kie.commons.java.nio.file.Path file)
                    throws FileException

  Throws:
    `FileException`

### listDirectories

    Iterable<org.kie.commons.java.nio.file.Path> listDirectories(org.kie.commons.java.nio.file.Path path)

### loadFilesByType

    Iterable<org.kie.commons.java.nio.file.Path> loadFilesByType(org.kie.commons.java.nio.file.Path path,
                                                                 String fileType)
                                                                 throws FileException

  Throws:
    `FileException`

### exists

    boolean exists(org.kie.commons.java.nio.file.Path file)

### move

    void move(org.kie.commons.java.nio.file.Path source,
              org.kie.commons.java.nio.file.Path dest)

### copy

    void copy(org.kie.commons.java.nio.file.Path source,
              org.kie.commons.java.nio.file.Path dest)

### createDirectory

    org.kie.commons.java.nio.file.Path createDirectory(org.kie.commons.java.nio.file.Path path)

### createFile

    org.kie.commons.java.nio.file.Path createFile(org.kie.commons.java.nio.file.Path path)

### deleteIfExists

    boolean deleteIfExists(org.kie.commons.java.nio.file.Path path)

### openFile

    OutputStream openFile(org.kie.commons.java.nio.file.Path path)

### getPath

    org.kie.commons.java.nio.file.Path getPath(String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.